.timeline {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: 40px 0;
  position: relative;
}

/* The vertical line */
.timeline::before {
  content: '';
  position: absolute;
  width: 4px;
  background-color: #333;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -2px;
}

.timeline-event {
  width: calc(50% - 4px); /* Each event takes exactly half the page */
  padding: 20px;
  box-sizing: border-box;
  position: relative;
  background-color: #e0e5c1;
  border-radius: 8px;
//   border-style: solid;
//   border-width: 11px 8px;
//   border-image: $noteBorderImage 11;
//   border-image-outset: 9px 0px;
  box-shadow: 1px 4px 14px #888;
}

/* Align events to their respective sides */
.timeline-event:nth-child(odd) {
  align-self: flex-start;
  text-align: right;
  padding-right: 40px; /* Space between text and the line */
}

.timeline-event:nth-child(even) {
  align-self: flex-end;
  text-align: left;
  padding-left: 40px; /* Space between text and the line */
}

/* The dots centered on the line */
.timeline-event::after {
  content: '';
  position: absolute;
  width: 24px;
  height: 24px;
  background-color: #fff;
  border: 4px solid #333;
  border-radius: 50%;
  top: 25px; /* Adjust to align with your header */
  z-index: 1;
}

.timeline-event:nth-child(odd)::after {
  right: -10px; /* Half of dot width to center it on the line */
}

.timeline-event:nth-child(even)::after {
  left: -10px;
}

// .timeline-event p {
//   text-align: justify;
//   hyphens: auto; 
// }

// .timeline-event h3 {
//   text-align: inherit;
// }